%global dlrn_nvr sushy-oem-idrac-0.0.3.dev11-0.20200407213434.6478da8
%global dlrn 1
%define upstream_version 0.0.3.dev11
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global with_doc 0
%global sname sushy-oem-idrac
%global pname sushy_oem_idrac

%global common_desc \
Sushy OEM iDRAC is a Python extension module for the Sushy library \
to communicate with Redfish-enabled Dell/EMC servers (http://redfish.dmtf.org).

Name: python-%{sname}
Version: 0.0.3
Release: 0.20201110143434.2aaa8c0%{?dist}
Summary: An extension for the Sushy library to communicate with Redfish-enabled Dell/EMC servers
License: ASL 2.0
URL: https://opendev.org/x/%{sname}

Source0: sushy-oem-idrac-0.0.3.dev11-0.20200407213434.6478da8.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=6478da8b4d6e9b986a840b0dedb5a26419abdbf2
Patch0001: 0001-Python-3-only.patch
Patch0002: 0002-Fix-GET-HTTP-202-status-without-Location.patch

BuildArch: noarch

%description
%{common_desc}

%package -n python3-%{sname}
Summary: An extension for the Sushy library to communicate with Redfish-enabled Dell/EMC servers
%{?python_provide:%python_provide python3-%{sname}}

BuildRequires: git
BuildRequires: python3-devel
BuildRequires: python3-pbr
BuildRequires: python3-setuptools
# For running unit tests during check phase
BuildRequires: python3-dateutil
BuildRequires: python3-six
BuildRequires: python3-stestr
BuildRequires: python3-sushy

Requires: python3-pbr >= 2.0.0
Requires: python3-six >= 1.10.0
Requires: python3-dateutil >= 2.7.0
Requires: python3-sushy >= 2.0.0


%description -n python3-%{sname}
%{common_desc}

%package -n python3-%{sname}-tests
Summary: An extension for the Sushy library to communicate with Redfish-enabled Dell/EMC servers - tests
Requires: python3-%{sname} = %{version}-%{release}

BuildRequires: python3-mock
BuildRequires: python3-oslotest
BuildRequires: python3-testtools

Requires: python3-mock
Requires: python3-oslotest
Requires: python3-testtools

%description -n python3-%{sname}-tests
%{common_desc}

This package contains unit tests.

%prep
%autosetup -n %{sname}-%{upstream_version} -S git

# Let's handle dependencies ourseleves
rm -f *requirements.txt

%build
%{py3_build}

%check
stestr-3 run --slowest

%install
%{py3_install}

%files -n python3-%{sname}
%license LICENSE
%{python3_sitelib}/%{pname}
%{python3_sitelib}/%{pname}-*.egg-info
%exclude %{python3_sitelib}/%{pname}/tests

%files -n python3-%{sname}-tests
%license LICENSE
%{python3_sitelib}/%{pname}/tests

%changelog
* Thu Nov 05 2020 Steve Baker <sbaker@redhat.com> XXX-XXX
- Update patches
- Python 3 only
- Fix GET HTTP 202 status without Location

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump hacking to 3.0.0

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Drop support for Python 2.7

* Tue Mar 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Jan 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

